﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;
using CSharpSamples_Khoshamoz.OOP;
using System.Text.RegularExpressions;
using System.Data.SqlClient;
using System.Reflection;

namespace CSharpSamples_Khoshamoz.Samples
{
    public partial class FrmSample067 : Form
    {
        public FrmSample067()
        {
            InitializeComponent();
        }

        Dictionary<string, Color> colorsDic = new Dictionary<string, Color>();

        private void btnGetBitmap_Click(object sender, EventArgs e)
        {
            Bitmap b1 = new Bitmap(pictureBox1.Image);

            this.colorsDic.Clear();
            for (int x = 0; x < b1.Width; x++)
            {
                for (int y = 0; y < b1.Height; y++)
                {
                    Color pixel = b1.GetPixel(x, y);
                    if (!colorsDic.ContainsKey(pixel.Name))
                    {
                        colorsDic.Add(pixel.Name, pixel);                   
                    }
                }
            }

            dataGridView1.Rows.Clear();
            int counter = 0;
            foreach (var item in colorsDic)
            {
                dataGridView1.Rows.Add(item.Key, "");
                dataGridView1.Rows[counter].Cells[1].Style.BackColor = item.Value;
                counter++;
                this.Text = counter.ToString() + " from " + colorsDic.Count.ToString();
            }

        }

        private void btnSelectImage_Click(object sender, EventArgs e)
        {
            if (openFileDialog1.ShowDialog() == DialogResult.OK)
            {
                pictureBox1.Image = System.Drawing.Image.FromFile(openFileDialog1.FileName);
            }
        }




    }


}
