﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;
using CSharpSamples_Khoshamoz.OOP;
using System.Text.RegularExpressions;
using System.Data.SqlClient;

namespace CSharpSamples_Khoshamoz.Samples
{
    public partial class FrmSample053 : Form
    {
        public FrmSample053()
        {
            InitializeComponent();
        }

        private void btnDo_Click(object sender, EventArgs e)
        {
            
            SqlConnection cn = new SqlConnection(PublicVariables.CnString);
            try
            {
                cn.Open();

                SqlCommand cmd = new SqlCommand();
                cmd.Connection = cn;
                cmd.CommandType = CommandType.Text;
                cmd.CommandText = "INSERT INTO [dbo].[Books] (BookCode, Title) VALUES (@BookCode, @Title)";
                cmd.Parameters.AddWithValue("@BookCode", txtBookCode.Text);
                cmd.Parameters.AddWithValue("@Title", txtTitle.Text);

                cmd.ExecuteNonQuery();

                MessageBox.Show("رکورد با موفقیت افزوده شد");
           }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }

            if (cn.State == ConnectionState.Open)
            {
                cn.Close();
            }

        }





    }
}
